Bug 280211 - Review Request: aspell-sk - Slovak dictionaries for Aspell
Review Request: aspell-sk - Slovak dictionaries for Aspell
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-06 05:35 EDT by Jan ONDREJ
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-07 02:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
varekova: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2007-09-06 05:35:42 EDT
Spec URL: http://www.salstar.sk/pub/fedora/SPECS/aspell-sk.spec
SRPM URL: http://www.salstar.sk/pub/fedora/SRPMS/7/aspell-sk-0.52-2.fc7.src.rpm
Provides the word list/dictionaries for the following: Slovak

This is an Slovak dictionary for aspell.

Why aspell dictionaries are binary and not "noarch" packages?
Rpmlint is not happy with this. Is it OK or I need to update my package?
Comment 1 Marek Mahut 2007-09-06 05:45:39 EDT
Hello Ondej,

I will review this request this week. 

Thank you for submitting.
Comment 2 Marek Mahut 2007-09-06 06:25:42 EDT
Transferring to my colleague Ivana after agreement. She's our aspell guru :)
Comment 3 Ivana Varekova 2007-09-06 07:37:46 EDT
Good work :), it is almost error free, I found only three problems which should
be fixed before the review flag will be granted:

* There is necessary to have aspell >= 12:0.60 because of there is
incompatibility between world lists generated with aspell 0.52 and 0.60 (and
there is necessary to add epoch tag)
* There should be set debug_package to %{nil} - it prevents to create empty
debuginfo package
* I'm not sure why there is 
mv configure reconfigure
I'm not sure why there is not used only 

That's all. 
Comment 4 Jan ONDREJ 2007-09-06 08:15:32 EDT
OK, thanks for review. Things updated.

The configure is updated as "sh configure" without rename to be rpmlint quiet.

* Thu Sep 06 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.52-3
- changed requirement to aspell >= 12:0.60 because of there worldlist
- debug_package set to nil to prevent empty debuginfo package
- configure is called with sh interpreter to prevent rpmlint errors

New package:
spec file URL has been not changed, only content updated.

There are still rpmlint errors:
  E: aspell-sk no-binary
  E: aspell-sk only-non-binary-in-usr-lib
but they are on all aspell-LANG packages. May be all of them need to be set as
"noarch" packages. What do you think? Depend they on different architectures?
Comment 5 Ivana Varekova 2007-09-06 08:47:43 EDT
Yes this package is arch dependent due to the world-list directory
transformation (which is realize during the make phase). This errors are OK,
there is no problem with them.

Looks fine for me. 
Comment 6 Jan ONDREJ 2007-09-06 15:20:53 EDT
New Package CVS Request
Package Name: aspell-sk
Short Description: Slovak dictionaries for Aspell
Owners: ondrejj
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: ondrejj
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-09-06 15:51:11 EDT
cvs done.
Comment 8 Jan ONDREJ 2007-09-07 02:30:36 EDT
Package built for FC6, F7, F8 (devel) and EL5. Unable to build for EL4 according
to dependency problems.
Comment 9 Jan ONDREJ 2007-09-13 01:12:20 EDT
Requested push to Fedora 7 repository on Bodhi.

Do I need a special request to push this package to FE-6 and EPEL?
They have been compiled, but they are in needsign state:


EL4 package build failed due to dependencies. Can I request branch removal?

Note You need to log in before you can comment on or make changes to this bug.